# Requirements

1. shadow-cljs: `npm install -g shadow-cljs`

# Standalone Usage

1. `shadow-cljs compile :cli`
2. `node out/runops.js`

# Development Usage

Live reload of the compiled script.

1. `shadow-cljs watch :cli`
2. `node out/runops.js`

# Production Builds

1. `shadow-cljs release :cli`
2. `node runops.js ...`

# Release Process

1. Update version:

`package.json` - version used by NPM
`core.cljs` - version displayed in the CLI

2. Run a production build

`shadow-cljs release cli`

3. Publish package to NPM

`npm publish --access public`

# REPL Usage

1. `shadow-cljs watch :cli`

## Cursive

https://shadow-cljs.github.io/docs/UsersGuide.html#_cursive

## Emacs

https://shadow-cljs.github.io/docs/UsersGuide.html#cider

# More info

https://shadow-cljs.github.io/docs/UsersGuide.html
